Share this page

# Set up and configure a grid machine

This topic describes how to install OpenText Functional Testing for Developers on a grid machine. Grid machines match grid nodes to tests, based on the node’s capabilities and the test’s environment description.

For more details, see Use a grid configuration.

In this topic:

## Set up a grid machine

Perform the steps below to install the runtime engine and license, run the engine in grid mode, and configure the relevant settings:

1. Run the installation and install the runtime engine only. For details, see Installation guide.

2. Install an OpenText Functional Testing for Developers license on the grid machine.

   We recommend installing a concurrent license. If you use a Seat license, the grid can handle only up to four OpenText Functional Testing for Developers operations simultaneously.

   For details, see Install a license on Windows and Install a license on Linux/Mac.

3. Run the runtime engine as a grid.

   OS | Starting point | Command
   --- | --- | ---
   Windows | Start Menu | Select OpenText Functional Testing for Developers Runtime (Grid)
   Linux | <Installdir>/bin (by default, /opt/OpenTextFunctionalTestingForDevelopers/bin) | Run `./leanft start --role=grid`
   Mac | installation directory (by default, /Applications/OpenTextFunctionalTestingForDevelopers) | Run `./leanft start --role=grid`

   Note: At this point it does not matter if your node machines are running or not. The nodes connect to the grid when they and it are up and running.

4. Configure the grid's runtime engine settings as described in the sections below.

Back to top

## Configure the grid's runtime engine settings

This section describes how to configure the connections to and from the grid:

- Define the way nodes connect to this grid machine.
- Change the default engine port if needed.
- Configure the connection to OpenText Functional Testing Lab if you need to use it to run tests.

To configure the settings:

1. Prerequisite: Run the runtime engine as a grid.

2. Open the Settings dialog box:

   Right-click the runtime engine icon in the task bar and select Settings.

   Note: On Linux machines, if the icon is not available in the task bar, run the following command to open the dialog box: `<Installdir>/Tools/settings-leanft`

3. Modify the Engine settings as described below.

4. Modify the Lab settings described below if you want to use OpenText Functional Testing Lab for your tests.

5. When you save your changes, the runtime engine automatically closes and restarts with your new settings loaded.

   You don't need to restart any nodes that were connected to this grid. The OpenText Functional Testing for Developers nodes reconnect after the grid restarts.

Back to top

## Engine settings

Configure the following settings in the Engine tab:

Add-ins for Mobile

When testing on mobile devices, the Mobile add-in is always loaded.

Depending on the applications you plan to test, specify whether to also load the Web or SAPUI5 add-ins.

Engine Connection

Configure the connection ports and license settings for the grid:

Setting | Description
--- | ---
Engine port | Default = 5095. If another application is listening on port 5095, change this value to an available port. This change applies only to the runtime engine settings, which is used to run your test steps. If you change the value here, make sure your tests are also set to use that value. For details, see Modify the communication port number. To enable multiple OpenText Functional Testing for Developers sessions, set up ports on each client. For details, see Configure ports for a multi-session environment.
Grid management port | Default = 8080. This is the port used to access the OpenText Functional Testing for Developers Grid Management console. For details, see View grid management data. Modify this number if you need it to be available for another application.
License idle timeout | Default = 30 minutes. When the timeout expires, the OpenText Functional Testing for Developers license is released but the runtime engine remains active and ready to receive requests.
Max license consumption | Default = 5. The maximum number of concurrent licenses this runtime engine is allowed to consume. For details, see Parallel tests and license consumption.

Node Connection Settings

Configure settings related to node connections to this grid, and the grid's use of the nodes:

Setting | Description
--- | ---
Connection mode | Specify whether connections to this grid should be Remote secured (recommended) or Remote unsecured. This setting affects nodes connecting to this grid, as well as the machines running tests that use this grid. If you select Remote secured, specify the certificate .pfx file and the protocol to use for authenticating connections to this grid. Important: Make sure you have a trusted copy of the grid's encryption certificate set up on your grid nodes and on the machines running the tests.
Passphrase | The passphrase for the node to use when connecting to the grid (case-sensitive). When configuring the Passphrase in the node's runtime engine settings, enter the same string. For details, see Grid Connection Settings.
Node-wait timeout. | Default = 300 seconds. The maximum number of seconds to wait for one of the locks on a relevant node to be released, if all nodes are currently in use and reached their lock maximum.

Back to top

Usage Data Collection

I want to help! Collect anonymous feature usage data. Configure whether or not to allow OpenText Functional Testing for Developers to send anonymous feedback to OpenText about your OpenText Functional Testing for Developers usage, as part of the product improvement program. The data you provide helps us understand which improvements matter most.

For details, see Help improve the product.

Back to top

## Lab settings

Configure the following settings in the Labs tab:

Lab Settings

Provide the credentials to connect to the lab server that provides mobile devices. This can be OpenText Functional Testing Lab or OpenText Core Software Delivery Platform.

Setting | Description
--- | ---
Functional Testing Lab option | Specify whether you are connecting to OpenText Functional Testing Lab or OpenText Core Software Delivery Platform. This selection affects the authentication options available below.
Server address | The IP address or host name of the lab server. Format example: server IP:port. By default, the port is 8080. Check the port settings defined on your lab server. If you are connecting to the server through SSL, the server address must start with https. For example: https://16.16.161.1691:8080.
Authentication type | Select whether to use Basic authentication (username & password) or Use access key as credentials when connecting to the lab. Select the authentication type required by your lab server. Note: If you are connecting to OpenText Core Software Delivery Platform, only access key authentication is available.
Access key | If you selected Use access key, enter the execution access key you received from the lab. Generate your access keys in the OpenText Functional Testing Lab, as described in the OpenText Functional Testing Lab Help Center. An execution access key is associated with a specific tenant, which limits your testing to devices and apps in a specific shared space within the lab.
User name and Password | If you selected Basic authentication, enter your credentials for logging into the lab server. In the User name, you can optionally specify a project, workspace, or both: If you belong to a specific project in OpenText Functional Testing Lab, enter your user name in the following way: username#projectID. For details on retrieving your project ID, see OpenText Functional Testing Lab multi-projects. If you want to limit your testing to devices and apps in a specific workspace, enter your user name in the following way: username#projectID/workspace or username/workspace. Specify `Public workspace` or the name of another workspace that you are assigned to. If you specify a workspace other than the public workspace, only the devices and apps in that workspace and in the Public workspace are available for recording, running, and device selection. For details on viewing the lab workspaces to which you have access, and the devices and apps assigned to them, see Workspaces in the lab's console. The Password is encrypted automatically when you save the settings.
Verify | Click to check the connection to the lab server. If you lab runs behind a proxy server, select Use proxy, and enter the information in Proxy Settings.
Do not validate certificate | By default, the connection employs Full SSL (Strict). However, you can select this option in order to ignore certificate errors.
Show remote access window when the test runs | Select to enable watching your test runs on the devices in the lab's remote access window. To improve test run performance, clear this option to run tests silently. You can still watch the steps being performed on the device itself if it is located near you. You can also add Device.OpenViewer/CloseViewer steps to open or close the remote access window during a run.

Proxy Settings

If the lab is running behind a proxy server, then you must configure the proxy settings:

Setting | Description
--- | ---
Address | The IP address and the port of the proxy server.
User name | Credentials for the proxy server.
Password | Credentials for the proxy server. The password is encrypted automatically when you save the settings.

Back to top

See also:

- Use a grid configuration
- Configure a grid node's runtime engine settings
- Connect to the mobile device lab

https://admhelp.microfocus.com Functional Testing for Developers 8942
Tips to improve your search results... OpenText™ Functional Testing for Developers Help Center OpenText™ Functional Testing for Developers Help 25.2 All View Local Help Center View Online Help Center Version: